# RedPandas

[![Current version on PyPI](https://img.shields.io/badge/pypi-1.1.6-blue)](https://pypi.org/project/redvox-pandas/)
[![Python versions supported](https://img.shields.io/badge/python-3.6%20%7C%203.7%20%7C%203.8-blue)]()

### Description

This repository contains routines to streamline preprocessing of [RedVox API 900](https://bitbucket.org/redvoxhi/redvox-protobuf-api/src/master/) 
and [API 1000](https://github.com/RedVoxInc/redvox-api-1000) (API M) data.
The RedVox Pandas (also known as RedPandas) pipeline is designed for integrability with other legacy and heterogeneous data sources.

<p align="center">
<img src="https://github.com/RedVoxInc/redpandas/blob/master/docs/redpandas/img/cover_fig.png?raw=true" alt="Wiggles" width="700">
</p>

### Installation 

To install with pip:
```shell
pip install redvox-pandas
```

More installation instructions can be found in the [RedPandas Installation Documentation](https://github.com/RedVoxInc/redpandas/blob/master/docs/redpandas/installation.md).

### Getting started

Check the [User Documentation](https://github.com/RedVoxInc/redpandas/blob/master/docs/redpandas/using_redpandas.md#how-to-use-redpandas) to get started.

### API Documentation

Check the [API Documentation](https://redvoxinc.github.io/redpandas/) for more details on RedPandas functions.


### Development

- Please feel free to submit issues and bugs on the GitHub [issue tracker](https://github.com/RedVoxInc/redpandas/issues).
- [Version History](https://github.com/RedVoxInc/redpandas/blob/master/docs/CHANGELOG.md)
- [The Apache License](https://github.com/RedVoxInc/redpandas/blob/master/LICENSE)

